#version 330

layout (location = 0) in vec3 Position;
layout (location = 1) in vec2 Uvs;
layout (location = 2) in vec3 Normal;

//uniform float gScale;
uniform mat4 view;
uniform mat4 proj;
uniform mat4 model;
uniform mat4 normalMat;

flat out int vID;
out vec2 texCoord;
out vec3 position;
out vec3 normal;

void main()
{
	vec4 test = proj * view * model * vec4(Position, 1.0);
	gl_Position = test;
    // gl_Position = vec4(gScale * Position.x,gScale *  Position.y, gScale * Position.z, 1.0);
	vID = gl_VertexID;
	texCoord = Uvs;

	position = Position;
	normal = (normalMat * vec4(Normal, 1.)).xyz;
}
